<?php

/**
 * @file
 * Provides Drush commands to export contents in markdown format
 */


/**
 * Implements hook_drush_command().
 */
function markdown_exporter_drush_command() {

  $commands['markdown-export'] = array(
    'description' => 'This is to export content in markdown format',
    'aliases' => array('mde'),
    'arguments' => array(
      'ctype' => 'Name of the content type to be exported'
    ),
    'examples' => array(
       'drush mde' => 'Generates markdown files for node across all content types'
     ),
  );

  return $commands;
}

/**
 * Drush command logic.
 * drush_hook_[COMMAND_NAME]().
 */
function drush_markdown_exporter_markdown_export($ctype = 'all' ) {
  $content_types = array_keys(node_type_get_names());
	if($ctype != 'all') {
    if(in_array($ctype, $content_types)) {
      $content_types = array('product');
    } else {
      drupal_set_message('Invalid argument supplied with the Drush command!');
      return;
    }
  }  
  content_export_in_markdown($content_types, 'cli');
}

